
#include <QMenuBar>
#include <QSplitter>
#include <QTextBrowser>
#include <QToolBar>
#include <KSelectAction>

#include <KHTMLPart>
#include <KHTMLView>
#include <KUrl>

#include "KMessageDummy.h"
#include "KMessageStyle.h"
#include "KMSTest.h"

KMSTest::KMSTest( QWidget * parent, Qt::WindowFlags flags ) :  QMainWindow( parent, flags )
{
//     QToolBar *tb = addToolBar("Only");
    KSelectAction *styles = KMessageStyle::selector("Messagestyles", this);
    connect( styles, SIGNAL ( triggered(const QString &) ), this, SLOT ( setStyle(const QString &) ) );
    menuBar()->addAction( styles );
    html = new KHTMLPart;
    html->setJScriptEnabled(false);
    html->setJavaEnabled(false);
    html->setMetaRefreshEnabled(false);
    html->setPluginsEnabled(false);
    QSplitter *splitter = new QSplitter( Qt::Vertical, this );
    KHTMLView *view = new KHTMLView( html, splitter);
    splitter->addWidget( view );
    sourceView = new QTextBrowser( splitter );
    splitter->addWidget( sourceView );
    setCentralWidget( splitter );
    style = new KMessageStyle();
    style->set( "Fancy" );
//     KUrl url("http://www.heise.de/");
//     html->openUrl(url);
//     html->setAlwaysHonourDoctype();
//     html->show();

    view->resizeContents(1024, 1024);
}

void KMSTest::setStyle( const QString &string )
{
    style->set( string );
    KMessageDummy dummy;
    setMessage( dummy );
}

void KMSTest::setMessage( const KMessage &message )
{
    QString code = style->makeUp( message );
    html->begin();
    html->write( code );
    html->end();
    sourceView->setPlainText( code );
    html->view()->resizeContents(1024,1024);
}
