
#include <QString>

class KMessage
{
public:
    KMessage() {}
    virtual ~KMessage() {}

    virtual QString headerField( const QString &) const = 0;
    virtual QString replyTo() const  = 0;
    virtual QString cc() const  = 0;
    virtual QString bcc() const  = 0;
    virtual QString from() const  = 0;
    virtual QString fromStrip() const  = 0;
    virtual QString to() const  = 0;
    virtual QString subject() const  = 0;
    virtual uint date() const  = 0;
    virtual QString dateStr() const  = 0;
    virtual QByteArray bodyDecoded() const = 0;
    static QString emailAddrAsAnchor( const QString &str, bool b=true, const QString &s = QString(), bool b2=true)
    {
        Q_UNUSED(b); Q_UNUSED(s); Q_UNUSED(b2);
        return str;
    }
    static QByteArray html2source(const QByteArray &src)
    {
        QByteArray ret = src;
        ret.replace('<',"&lt;").replace('>',"&gt;").replace('\n',"<br>");
        return ret;
    }
};

class KMessageDummy : public KMessage
{
public:
    KMessageDummy() {}
    ~KMessageDummy() {}

    QString headerField( const QString &) const { return "some headerField"; }
    QString replyTo() const { return "replyTo@mail.com"; }
    QString cc() const { return "cc@mail.com"; }
    QString bcc() const { return "bcc@mail.com"; }
    QString from() const { return "from@mail.com"; }
    QString fromStrip() const { return "fromStrip@mail.com"; }
    QString to() const { return "to@mail.com"; }
    QString subject() const { return "subject is futile"; }
    uint date() const { return 1234567890; }
    QString dateStr() const { return "2009"; }
    QByteArray bodyDecoded() const { return "Good news, everyone!\nI've just made a brand new invention: the Snüffophne ;-)\n$$$"; }
};
