
static const char *briefHeaderHtml =
"<div class=\"header\">\n"
"<div class=\"subject\"><b style=\"font-size:130%\">${subject}</b></div>\n"
"( <span class=\"sender\">${sender} &nbsp; &nbsp; <a href=\"${vcard}\"> ${vCardLabel} </a></span>\n"
"<span class=\"cc\">${ccLabel}: ${cc} </span>\n"
"<span class=\"bcc\">${bccLabel}: ${bcc} </span>\n"
"<span class=\"date\">${date}</span> )\n"
"</div>\n";

static const char *stdHeaderHtml =
"<div class=\"header\">\n"
"<div class=subject><b style=\"font-size:130%\">${subject}</b></div>\n"
"<div><span class=\"sender\">${from} ${sender} &nbsp; &nbsp; <a href=\"${vCard}\"> ${vCardLabel}</a></span>\n"
"<div class=\"receiver\">${to} ${receiver}</div>\n"
"<div class=\"cc\">${ccLabel} ${cc}</div>\n"
"<div class=\"bcc\">${bccLabel} ${bcc}</div><br/>\n"
"</div>\n";

static const char *longHeaderHtml =
"<div class=\"header\">\n"
"<div class=subject><b style=\"font-size:130%\">${subject}</b></div>\n"
"<div class=\"date\">${dateLabel} ${date}</date>\n"
"<div><span class=\"sender\">${from} ${sender} &nbsp; &nbsp; <a href=\"${vCard}\"> ${vCardLabel}</a></span>\n"
"<span class=\"organization\"> &nbsp; &nbsp; ( ${organization} )</span></div>\n"
"<div class=\"receiver\">${to} ${receiver}</div>\n"
"<div class=\"cc\">${ccLabel} ${cc}</div>\n"
"<div class=\"bcc\">${bccLabel} ${bcc}</div>\n"
"<div class=\"reply\">${replyLabel} ${reply}</div>\n"
"<div class=\"x-mailer\">${xmailerLabel} ${xmailer}</div>\n"
"<div class=\"user-agent\">${userAgentLabel} ${userAgent}</div><br/>\n"
"</div>\n";

static const char *fancyHeaderHtml =
"<div class=\"header\">\n"
"<div class=\"subject\">${subject}</div>\n"
"<table class=\"outer\"><tr><td width=\"100%\"><table>\n"
"<tr class=\"sender\"><th>${from}</th>\n"
"<td>${sender} &nbsp; ( ${resentFromLabel}: ) ${resentFrom} "
"&nbsp; &nbsp; <a class=\"vCard\"href=\"${vCard}\"> ${vCardLabel}</a> &nbsp;&nbsp;( ${organization} ) </td></tr>\n"
"<tr class=\"receiver\"><th>${to}</th><td>${receiver}</td></tr>\n"
"<tr class=\"cc\"><th>${ccLabel}</th><td>${cc}</td></tr>\n"
"<tr class=\"bcc\"><th>${bccLabel}</th><td>${bcc}</td></tr>\n"
"<tr class=\"date\"><th>${dateLabel}</th><td>${date}</td></tr>\n"
"<tr class=\"userAgent\"><th>${userAgentLabel}</th><td>${userAgent}</td></tr>\n"
"<tr class=\"xmailer\"><th>${xmailerLabel}</th><td>${xmailer}</td></tr>\n"
"<tr><td colspan=\"2\"><div id=\"attachmentInjectionPoint\"></div></td></tr></table></td>"
"<td align=\"center\"><div class=\"senderpic\"><img src=\"${senderpic}\"></div></td></tr></table>\n"
"<div class=\"spamStatus\"><b>${spamLabel}</b>&nbsp;<span style=\"padding-left: 20px;\">"

"<p class=\"spamStatus0\">${spamAgent0} <span class=\"spamIndicator\" title=\"${spamInfo0}\" style=\"background-color:hsl( ${spamHue0}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus1\">${spamAgent1} <span class=\"spamIndicator\" title=\"${spamInfo1}\" style=\"background-color:hsl( ${spamHue1}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus2\">${spamAgent2} <span class=\"spamIndicator\" title=\"${spamInfo2}\" style=\"background-color:hsl( ${spamHue2}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus3\">${spamAgent3} <span class=\"spamIndicator\" title=\"${spamInfo3}\" style=\"background-color:hsl( ${spamHue3}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus4\">${spamAgent4} <span class=\"spamIndicator\" title=\"${spamInfo4}\" style=\"background-color:hsl( ${spamHue4}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus5\">${spamAgent5} <span class=\"spamIndicator\" title=\"${spamInfo5}\" style=\"background-color:hsl( ${spamHue5}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus6\">${spamAgent6} <span class=\"spamIndicator\" title=\"${spamInfo6}\" style=\"background-color:hsl( ${spamHue6}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus7\">${spamAgent7} <span class=\"spamIndicator\" title=\"${spamInfo7}\" style=\"background-color:hsl( ${spamHue7}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus8\">${spamAgent8} <span class=\"spamIndicator\" title=\"${spamInfo8}\" style=\"background-color:hsl( ${spamHue8}, 70%, 86% );\"></span></p>"
"<p class=\"spamStatus9\">${spamAgent9} <span class=\"spamIndicator\" title=\"${spamInfo9}\" style=\"background-color:hsl( ${spamHue9}, 70%, 86% );\"></span></p>"

"</span></div>\n"
"</div>\n";

static const char * fancyCss =
"div.header > div {\n"
"  font-weight: bold;\n"
"  padding: 4px;\n"
"}\n\n"

"div.header table {\n"
"  padding: 2px;\n" // ### khtml bug: this is ignored
"  text-align: left;\n"
"}\n\n"

"div.header table th {\n"
"  padding: 0px;\n"
"  white-space: nowrap;\n"
"  border-spacing: 0px;\n"
"  text-align: left;\n"
"  vertical-align: top;\n"
"}\n\n"

"div.header table td {\n"
"  padding: 0px;\n"
"  border-spacing: 0px;\n"
"  text-align: left;\n"
"  vertical-align: top;\n"
"  width: 100%;\n"
"}\n\n"

"@media screen {\n\n"
"div.header > div {\n"
"  background-color: $Highlight;\n"
"  color: $HighlightedText;\n"
"  border: solid $Text 1px;\n"
"}\n\n"

"div.header > div a[href] { color: $HighlightedText; }\n\n"

"div.header > div a[href]:hover { text-decoration: underline; }\n\n"

"div.header > div.spamStatus {\n"
"  background-color: #cdcdcd;\n"
"  border-top: 0px;\n"
"  padding: 3px;\n"
"  color: black;\n"
"  font-weight: bold;\n"
"  font-size: smaller;\n"
"}\n\n"

".spamIndicator{ position:absolute; margin-top:0.15em; margin-left:0.2em; border: 1px solid black; width:2em; height:0.7em; }"

"div.header > table.outer {\n"
"  background-color: $Base;\n"
"  color: $Text;\n"
"  border-bottom: solid $Text 1px;\n"
"  border-left: solid $Text 1px;\n"
"  border-right: solid $Text 1px;\n"
"}\n\n"

"div.senderpic{\n"
"  padding: 0px;\n"
"  font-size:0.8em;\n"
"  border:1px solid !!!QPalette::Mid!!!;\n"
// FIXME: InfoBackground crashes KHTML
//"  background-color:InfoBackground;\n"
"  background-color:$Base;\n"
"}\n\n"
"}\n"

"@media print {\n\n"
"div.header > div {\n"
"  background-color: white;\n"
"  color: black;\n"
"  padding: 4px;\n"
"  border: solid #999999 1px;\n"
"}\n\n"

"div.header > div a[href] { color: %3; }\n\n"

"div.header > table.outer{\n"
"  background-color: white;\n"
"  color: black;\n"
"  border-bottom: solid #999999 1px;\n"
"  border-left: solid #999999 1px;\n"
"  border-right: solid #999999 1px;\n"
"}\n\n"

"div.senderpic{\n"
"  font-size:0.8em;\n"
"  border:1px solid black;\n"
"  background-color:white;\n"
"}\n\n"

"div.spamStatus {\n"
"  display:none;\n"
"}\n\n"
"}\n";
