/*
    Copyright (c) 2009 Rudy Commenge <rudywi@gmail.com>

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#include "ForumDescAttribute.h"

#include <QByteArray>

#include <akonadi/attribute.h>
#include <Qt/qbytearray.h>
#include <Qt/qstring.h>

ForumDescAttribute::ForumDescAttribute( QString desc )
        : mDesc( desc )
{
}

void ForumDescAttribute::setDesc( QString desc )
{
    mDesc = desc;
}

QString ForumDescAttribute::desc() const
{
    return mDesc;
}

QByteArray ForumDescAttribute::type() const
{
    return "desc";
}

Akonadi::Attribute* ForumDescAttribute::clone() const
{
    return new ForumDescAttribute( mDesc );
}

QByteArray ForumDescAttribute::serialized() const
{
    return mDesc.toUtf8();
}

void ForumDescAttribute::deserialize( const QByteArray &data )
{
    mDesc = data;
}
