/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef ITEM_H
#define ITEM_H

#include <QString>
#include <akonadi/item.h>

class Item
{
  public:
    virtual Akonadi::Item loadItem(const QString &filename, Akonadi::Item item ) = 0;
    virtual Akonadi::Item addToCollection(const Akonadi::Item &item, const QString &path) = 0;
    virtual Akonadi::Item modifyItem(const Akonadi::Item &item, const QString &filename) = 0;
    virtual ~Item(){};      
};

#endif
