/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef RETRIEVECOLLECTIONSSCRIPT_H
#define RETRIEVECOLLECTIONSSCRIPT_H

#include <akonadi/collection.h>
#include <QStringList>

#include "resourcescript.h"
#include "scriptableresource.h"

class RetrieveCollectionsScript: public ResourceScript
{
  Q_OBJECT

  private:
    QString mMimeType, mCollectionName, mCollectionPath;
    Akonadi::Collection::List mColList;
    scriptableResource *mResource;
    
  public:
    RetrieveCollectionsScript(scriptableResource *resource);

  public slots:
    void setMimeType(QString mimeType);
    QString getMimeType();

    void setCollectionName(QString collectionName);
    void setCollectionPath(QString name);

    QString getCollectionName();
    QString getCollectionPath();

    Akonadi::Collection::List getRetriviedCollections();
    void setRetriviedCollections(Akonadi::Collection::List colList);
    
    void configureCollection(QString name, QString remoteId, QString parent, QStringList mimetypes);
    Akonadi::Collection::List  showCollections();
    Akonadi::Collection  getCollectionByName(const QString &colname);

  Q_SIGNALS:
    void callCollection();
};

#endif

