/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef RETRIEVEITEMSSCRIPT_H
#define RETRIEVEITEMSSCRIPT_H

#include <akonadi/item.h>

#include "resourcescript.h"
#include "scriptableresource.h"

class RetrieveItemsScript : public ResourceScript
{
  Q_OBJECT

  public:
    RetrieveItemsScript(scriptableResource *resource);

  private:
    Akonadi::Item::List mItems;
    QString mRemoteId;
    QString mMimeType;  
    scriptableResource *mResource;  

  public slots:
    Akonadi::Item::List getRetriviedItems();
    void setRetriviedItems( Akonadi::Item items);

    QString getRemoteId();
    void setRemoteId( QString remoteId );

    QString getMimeType();
    void setMimeType( QString mimeType );

    void retrieveItems();
};

#endif
