/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "scriptable.h"
#include "scriptableresource.h"

Scriptable::Scriptable(scriptableResource *resource)
{
  mRetrievedCollections = new RetrieveCollectionsScript(resource);
  mRetrieveItem         = new RetrieveItemScript(resource);
  mRetrieveItems        = new RetrieveItemsScript(resource);

}
AddedItemScript &Scriptable::getAddedItemScript()
{
  return mAddedItem;
}

ChangedItemScript &Scriptable::getChangedItemScript()
{
  return mChangedItem;
}

RemovedItemScript &Scriptable::getRemovedItemScript()
{
  return mRemovedItem;
}

RetrieveCollectionsScript *Scriptable::getRetrieveCollectionsScript()
{
  return mRetrievedCollections;
}

RetrieveItemScript *Scriptable::getRetrieveItemScript()
{
  return mRetrieveItem;
}

RetrieveItemsScript *Scriptable::getRetrieveItemsScript()
{
  return mRetrieveItems;
}

