/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef SCRIPTABLE_H
#define SCRIPTABLE_H

#include "resourcescript.h"
#include "addeditemscript.h"
#include "changeditemscript.h"
#include "removeditemscript.h"
#include "retrievecollectionsscript.h"
#include "retrieveitemscript.h"
#include "retrieveitemsscript.h"

class Scriptable
{
  private:
    AddedItemScript            mAddedItem;
    ChangedItemScript          mChangedItem;
    RemovedItemScript          mRemovedItem;
    RetrieveCollectionsScript  *mRetrievedCollections;
    RetrieveItemScript         *mRetrieveItem;
    RetrieveItemsScript        *mRetrieveItems;

  public:
    Scriptable(scriptableResource *resource);
    AddedItemScript &getAddedItemScript();
    ChangedItemScript &getChangedItemScript();
    RemovedItemScript &getRemovedItemScript();
    RetrieveCollectionsScript *getRetrieveCollectionsScript();
    RetrieveItemScript *getRetrieveItemScript();
    RetrieveItemsScript *getRetrieveItemsScript();
};

#endif
