/*
 * Copyright (c) 2008  Igor Trindade Oliveira <igor_trindade@yahoo.com.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef VCARDITEM_H
#define VCARDITEM_H

#include <kabc/addressee.h>
#include "item.h"
#include <akonadi/item.h>
#include <QFile>

class VCardItem: public Item
{
  private:
    KABC::Addressee addressee;
    bool convertVCard(const QByteArray &data);
    bool writeVCard(QFile &file);
    void addPayload(const Akonadi::Item &item);
    void addUID();
    void setItemPayload();

  public:  
    VCardItem();
    Akonadi::Item loadItem(const QString &filename, Akonadi::Item item);
    Akonadi::Item addToCollection(const Akonadi::Item &item, const QString &path);
    Akonadi::Item modifyItem(const Akonadi::Item &item, const QString &filename);

  
};    

#endif
