/* GroupDAV Akonadi Resource
 * Copyright (C) 2009 Marco Nelles (marco.nelles@credativ.de)
 * <http://www.credativ.de/>
 * <http://opensource.maniatek.com/kgroupdav/>
 *
 * credativ GmbH
 * Hohenzollernstr. 133
 * 41061 Mönchengladbach
 * E-Mail: info@credativ.de
 *
 * RFC 2445 (iCalendar)
 * RFC 2518 (WebDAV)
 * RFC 2616 (HTTP)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "configdialog.h"

#include "settings.h"
#include "ui_configdialog.h"

#include <kaboutdata.h>
#include <kaboutapplicationdialog.h>
#include <kconfigdialogmanager.h>
#include <kwindowsystem.h>

ConfigDialog::ConfigDialog(WId windowId)
{
  if (windowId)
    KWindowSystem::setMainWindow(this, windowId);

  Ui::ConfigDialog ui;
  ui.setupUi(mainWidget());
  mManager = new KConfigDialogManager(this, Settings::self());
  mManager->updateWidgets();

  connect(ui.kurllabel_about, SIGNAL(leftClickedUrl()), this, SLOT(about()));
  connect(this, SIGNAL(okClicked()), SLOT(save()));
}

void ConfigDialog::save()
{
  mManager->updateSettings();
  Settings::self()->writeConfig();
}

void ConfigDialog::about()
{
  KAboutData aboutData("calgo", "", ki18n("Calgo"), "0.2 alpha",
    ki18n("Akonadi GroupDAV Resource"),
    KAboutData::License_GPL,
    ki18n("(c) 2009 by Marco Nelles (credativ GmbH)"),
    KLocalizedString(),
    "http://opensource.maniatek.com/calgo",
    "calgo@maniatek.com");
  aboutData.addAuthor(ki18n("Marco Nelles"), ki18n("Current maintainer"), "calgo@maniatek.com");
  aboutData.addCredit(ki18n("credativ GmbH"), ki18n("Funded and supported"), 0, "http://www.credativ.com");

  KAboutApplicationDialog dialog(&aboutData, this);
  dialog.exec();
}
