/*
  This file is part of the Grantlee template system.

  Copyright (c) 2010 Stephen Kelly <steveire@gmail.com>

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either version
  2.1 of the Licence, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef KGRANTLEEENGINEBUILDER_H
#define KGRANTLEEENGINEBUILDER_H

#include <QObject>

#include <grantlee/abstractlocalizer.h>
#include <grantlee/context.h>
#include <grantlee/template.h>
#include <grantlee/templateloader.h>

namespace Grantlee
{
class Engine;
}

/**
  @brief Creates a Grantlee::Engine configured to use the KDE platform
*/
class KGrantleeIntegration
{
public:
  KGrantleeIntegration();
  void setType(const QString &type);

  void setTheme(const QString &theme);
  QStringList availableThemes() const;

  Grantlee::Template loadByName(const QString &name);

  void initializeEngine(QObject *parent = 0);

  Grantlee::Context createContext();

private:
  void initLocalizer();

private:
  QString m_type;
  Grantlee::AbstractLocalizer::Ptr m_localizer;
  Grantlee::Engine *m_engine;
  Grantlee::LocalizedFileSystemTemplateLoader::Ptr m_loader;
};

#endif
