#!/usr/bin/env ruby

require 'Korundum'

require 'kholiday_editor_iface.rb'
require 'kholiday_editor.rb'
require 'kholiday_editor_view.rb'

description = I18N_NOOP("KDE Holidays File Editor")
version = "0.1"
options = [ [ "+[URL]", I18N_NOOP( "Document to open" ), "" ] ]

about = KDE::AboutData.new("kholiday_editor", I18N_NOOP("KHoliday_Editor"), version, description,
                     KDE::AboutData.License_GPL, "(C) 2006 Reinhold Kainhofer", nil, nil, "reinhold@kainhofer.com")
about.addAuthor( "Reinhold Kainhofer", nil, "reinhold@kainhofer.com" )
KDE::CmdLineArgs.init(ARGV, about)
KDE::CmdLineArgs.addCmdLineOptions(options)
app = KDE::Application.new

# register ourselves as a dcop client
app.dcopClient().registerAs(app.name, false)

# see if we are starting with session management
if app.restored?
    RESTORE(KHoliday_Editor)
else
    # no session.. just start up normally
    args = KDE::CmdLineArgs.parsedArgs
    if args.count == 0
        widget = KHoliday_Editor.new
        widget.show
    else
	    for i in 0...args.count do
            widget = KHoliday_Editor.new
            widget.show
            widget.load(args.url(i))
        end
    end
end

app.exec

