#!/usr/bin/env ruby

require 'Qt'
require 'holiday_format_plan.rb'


if ARGV.index("--help")
  puts "Test application to test the plan holiday format backend. "
  puts "The holiday file given in the first argument is read, parsed, "
  puts "and then written out to a file given as the second parameter. "
  puts "The diff (ignoring whitespace and case) between the two files "
  puts "will then be shown."
  puts ""
  puts "Usage: test_plan.rb [-q] holidayfile outputfile"
else
  qpos = ARGV.index("-q")
  quiet = false
  if ( qpos ) 
    quiet = true
  else
    qpos = 9999999
  end

  outfile=""
  hfile=""
  
  if ARGV.length < 1+((quiet)?1:0)
    print "Holiday file: "
    hfile = gets.chomp
  else
    hfile = ARGV[(qpos==0)?1:0]
  end
  if ARGV.length < 2
    print "Output file: "
    outfile = gets
  else
    outfile = ARGV[(qpos<=1)?2:1]
  end

  format = Holiday_Format_Plan.new()
  hdays = format.openFile( hfile )
  format.saveFile( outfile, hdays )

  if ( !quiet ) 
    system "diff -u -b -B -w -i "+hfile.to_s+" "+outfile.to_s
  end
  
end
