/*
    KickPimContactViewItem

    Copyright (c) 2002      by Bert Speckels <bert@speckels.de>
    Copyright (c) 2005      by Duncan Mac-Vicar P. <duncan@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef KPCONTACTVIEWITEM_H
#define KPCONTACTVIEWITEM_H

#include <qwidget.h>
#include <kabc/addressee.h>
#include <kabc/distributionlist.h>
#include "kickpimlistviewitem.h"

class QListView;
class QListViewItem;

class KickPimListViewItem;

using namespace KABC;

class KPContact;

/**
  *@author Bert Speckels
  */

class KickPimContactViewItem : public KickPimListViewItem
{
public:
  KickPimContactViewItem  ( QListView* parent, QListViewItem* after, QString label );
  void initLVI();
  ~KickPimContactViewItem ( );

  void setContact          ( KPContact* contact);
  void setDistributionList ( DistributionList*  list );
  void setDisplayMode();
  KPContact*        contact ( );
  DistributionList* distributionList ( );
  bool isDistributionList  ( );
  virtual QString key( int columnt, bool ascending ) const;
  virtual QString text( int column ) const;
protected slots:
  void slotPhotoChanged();  
  void slotNameChanged(); 
private:  
  class Private;
  Private *d;
};

#endif
