
#include "kjotswidget.h"

#include <QTextEdit>
#include <QTreeView>
#include <QHBoxLayout>

#include "kjotsmodel.h"

#include <kdebug.h>

KJotsWidget::KJotsWidget(QWidget *parent) : QWidget(parent)
{
  QHBoxLayout *layout = new QHBoxLayout();
  view = new QTreeView(this);
  model = new KJotsModel(this);
  view->setModel(model);
  editor = new QTextEdit(this);

  layout->addWidget(view);
  layout->addWidget(editor);

  setLayout(layout);

  connect(view, SIGNAL(clicked(const QModelIndex &)), SLOT(clicked(const QModelIndex &)));

}

void KJotsWidget::clicked(const QModelIndex &idx)
{
  editor->setHtml(model->data(idx, KJotsModel::PageContentRole).toString());
}

