/***************************************************************************
                            kluje.cpp  -  description
                             -------------------
    begin                : Mon Jan 28 22:22:24 EST 2002
    copyright            : (C) 2002-2006 by Buddy Brewer
    email                : kluje-talk@lists.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "klujesystray.h"
#include "kluje.h"

#include <kpopupmenu.h>
#include <kiconloader.h>
#include <kdebug.h>
#include <klocale.h>
#include <kprocess.h>
#include <kwin.h>
#include <kmenubar.h>

#include <qevent.h>

#include <qstring.h>
#include <qregexp.h>

#include <qptrvector.h>

KLuJeSysTray::KLuJeSysTray (KLuJe *parent)
    : KSystemTray(), myParent(parent), myParentVisible(true)
{
    KIconLoader *loader = KGlobal::iconLoader();
    this->setPixmap(loader->loadIcon("kluje", KIcon::Panel, KIcon::SizeSmall));

    // popup menu for right mouse button
    myPopup = new KPopupMenu();
    myPopup->insertTitle(i18n("KLuJe"));
    myPopup->insertItem(SmallIcon("enhanced_browsing"),
                        i18n("&Links"),
                        parent->getUrlMenu());

    myPopup->insertSeparator();
    myPopup->insertItem(SmallIcon("configure"),
                        i18n("&Configure KLuJe..."),
                        myParent->getPrefs(),
                        SLOT(show()));

    myPopup->insertSeparator();
    myPopup->insertItem(SmallIcon("exit"), i18n("E&xit"), myParent, SLOT(slotExit()));

    this->show();
}

void
KLuJeSysTray::mousePressEvent(QMouseEvent *e)
{
    // show or hide mainwin on left click
    if ( e->button() == LeftButton ) {

        if (myParentVisible) myParent->hide();
        else myParent->show();

        myParentVisible = !myParentVisible;
    }

    // open popup menu on right mouse button
    if ( e->button() == RightButton ) {
        kdDebug(6969) << "emitting userClicked signal" << endl;
        emit userClicked();

        myPopup->popup(e->globalPos());
        myPopup->exec();
    }
}

KLuJeSysTray::~KLuJeSysTray()
{
}

