/*
This file is part of KDE.

Copyright (c) 2008 Stephen Kelly <steveire@gmail.com>

This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/

#include "gpgencryptionstrategy.h"

#include <kmime/kmime_content.h>
#include <kdebug.h>

GpgEncryptionStrategy::GpgEncryptionStrategy ( QObject *parent, ContentStrategy *s )
        : ContentStrategy ( parent, s )
{

}

GpgEncryptionStrategy::~GpgEncryptionStrategy()
{

}

void GpgEncryptionStrategy::slotProcessContent ( Content* content )
{
    encryptedContent = new Content();
    encryptedContent->contentType ( true )->setMimeType ( "multipart/encrypted" );
    encryptedContent->contentType()->setBoundary ( KMime::multiPartBoundary() );

    Content *encryptInfo = new Content();
    encryptInfo->contentType ( true )->setMimeType ( "application/pgp-encrypted" );
    encryptInfo->setBody ( "Some info on how to decrypt the content" );

    encryptedContent->addContent ( encryptInfo );

    // begin job and connect signal



    // Temporary until I figure out how the encryption job works
    encryptionJobDone ( content );

}

void GpgEncryptionStrategy::encryptionJobDone ( Content *content )
{
    encryptedContent->addContent ( content );
    emit contentsReady ( encryptedContent );
}

