/*
This file is part of KDE.

Copyright (c) 2008 Stephen Kelly <steveire@gmail.com>

This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/

#include "gpgsigningstrategy.h"

#include <kmime/kmime_content.h>
#include <kdebug.h>

GpgSigningStrategy::GpgSigningStrategy ( QObject *parent, ContentStrategy *s )
        : ContentStrategy ( parent, s )
{

}

GpgSigningStrategy::~GpgSigningStrategy()
{

}

void GpgSigningStrategy::slotProcessContent ( Content* content )
{
    signedContent = new Content();
    signedContent->contentType ( true )->setMimeType ( "multipart/signed" );
    signedContent->contentType()->setBoundary ( KMime::multiPartBoundary() );

    Content *sigInfo = new Content();
    sigInfo->contentType ( true )->setMimeType ( "application/pgp-signature" );
    sigInfo->setBody ( "Some info on how to validate the signature" );

    signedContent->addContent ( sigInfo );

    // begin job and connect signal

    // Temporary until I figure out how the signing job works
    signingJobDone ( content );

}

void GpgSigningStrategy::signingJobDone ( Content *content )
{
    signedContent->addContent ( content );
    emit contentsReady ( signedContent );
}
