/*
This file is part of KDE.

Copyright (c) 2008 Stephen Kelly <steveire@gmail.com>

This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/

#include <kmime/kmime_message.h>
#include <kmime/kmime_content.h>

#include <kdatetime.h>
#include <kdebug.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>

#include <QLatin1String>

#include "mailclient.h"

using namespace KMime;

int main ( int argc, char **argv )
{
    const QByteArray& ba = QByteArray ( "contentstrategies" );
    const KLocalizedString name = ki18n ( "Content strategies demo" );
    KAboutData aboutData ( ba, ba, name, ba, name );
    KCmdLineArgs::init ( argc, argv, &aboutData );
    KApplication app;

    MailClient *m = new MailClient();
    m->show();

//     Message *msg = new Message();
//     KMime::Headers::From *fromAddress = new KMime::Headers::From();
//     fromAddress->addAddress( "konqi@kde.org");
//     msg->setHeader( fromAddress );
//
//     KMime::Headers::To *toAddress = new KMime::Headers::To();
//     toAddress->addAddress( "katie@kde.org");
//     msg->setHeader( toAddress );
//
//     msg->date()->setDateTime( KDateTime::currentLocalDateTime() );
//
//     msg->subject()->from7BitString( "Topic" );
//
//
//
// //     msg->contentType(true)->setMimeType( "multipart/alternative" );
// //     msg->contentType()->setBoundary( KMime::multiPartBoundary() );
//
//     Content *c1 = new Content();
//     c1->contentType(true)->setMimeType( "text/plain" );
//     c1->setBody( "plain text body"  );
//
//     Content *c2 = new Content();
//     c2->contentType(true)->setMimeType( "text/html" );
//     c2->setBody( "rich <b>text<b> body"  );
//
//     Content *c3 = new Content();
//     c3->contentType(true)->setMimeType( "text/html" );
//     c3->setBody( "related text" );
//
//     ContentStrategy *cs3b = new ContentStrategy( &app,
//         new GpgSigningStrategy( &app,
//             new GpgEncryptionStrategy( &app,
//                 new RelatedStrategy( &app, QList<Content*>() << c3 ) ) ) );
//     cs3b->addContent(msg, c2);
//
//     msg->assemble();
//
//     kDebug() << msg->encodedContent();


    app.exec();

}
