/*
This file is part of KDE.

Copyright (c) 2008 Stephen Kelly <steveire@gmail.com>

This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/

#ifndef RELATEDSTRATEGY_H
#define RELATEDSTRATEGY_H

#include "contentstrategy.h"

#include <QPair>

namespace KMime
{
class Content;
}

using namespace KMime;


class RelatedStrategy : public ContentStrategy
{
    Q_OBJECT
public:
    RelatedStrategy ( QList< QPair< ContentStrategy*, Content* > > list, QObject *parent = 0 );
    RelatedStrategy ( QList< QPair< ContentStrategy*, Content* > > list, ContentStrategy *s, QObject *parent = 0 );
    virtual ~RelatedStrategy();

    void setLocation( const QString &loc );


protected Q_SLOTS:
    virtual void slotProcessContent ( Content* content );
    void relatedDone ( Content* );

private:
    QList< QPair< ContentStrategy*, Content* > > m_list;
    int contentsProcessedCount;
    Content *relatedContent;
    QString contentLocation;
};

#endif
