/*
 *  This file is part of kremail.
 *  Copyright (C) 2008 Thomas Gillespie <tomjamesgillespie@googlemail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef KREMAIL_H
#define KREMAIL_H

#include <KConfig>
#include <KXmlGuiWindow>
#include <libksane/ksane.h>

#include "ui_kremail.h"
#include "kremailPage.h"

enum KremailTextDest {None, From, Subject, Message};

class KRemail: public KXmlGuiWindow
{
    Q_OBJECT
    public:
        KRemail();
        ~KRemail();
    public slots:
        void textRecieved(QString);
        void butGrabFromPressed();
        void butGrabSubjectPressed();
        void butGrabMessagePressed();
        void butScanPressed();
        void newDocument();
        void saveScan();
        void imageReady(QByteArray &, int, int, int, int);
    private:
        void setupActions();

        QWidget * mainWidget;
        Ui::KRemailMainWidget ui;
        QList<KRemailPage *> pages;
        QList<KPageWidgetItem *> pageWidgets;
        KremailTextDest destination;
        KSharedConfigPtr config;
        KSaneIface::KSaneWidget * scannerIface;
        bool scannerReady;
};

#endif
