/*
 *  This file is part of kremail.
 *  Copyright (C) 2008 Thomas Gillespie <tomjamesgillespie@googlemail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef KREMAILPAGE_H
#define KREMAILPAGE_H

#include <QImage>
#include <QPixmap>
#include <QWidget>

class KRemailPage : public QWidget
{
    Q_OBJECT
    public:
        KRemailPage(QString file);
	KRemailPage(QImage img);
        ~KRemailPage();
	QImage image();
    signals:
        void textReady(QString);
    protected:
        void mousePressEvent (QMouseEvent * event);
        void mouseReleaseEvent (QMouseEvent * event);
        void mouseMoveEvent (QMouseEvent * event);
        void paintEvent (QPaintEvent * event);
    private:
        QImage m_pageImage;
        QPixmap m_pagePixmap;

        bool m_mouseDown;
        QPointF m_startMouse;
        QPointF m_currentMouse;
};

#endif
