/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSSREADER_FEEDLISTFILTERPROXYMODEL_H
#define KRSSREADER_FEEDLISTFILTERPROXYMODEL_H

#include "feedlistmodel.h"

#include <QSortFilterProxyModel>

class FeedlistFilterProxyModel : public QSortFilterProxyModel
{

public:

        explicit FeedlistFilterProxyModel( QObject *parent = 0 );
        ~FeedlistFilterProxyModel();

        void setSubscriptionLabel( const QString &subscriptionLabel );
        QString subscriptionLabel() const;

protected:

        bool filterAcceptsRow( int sourceRow, const QModelIndex &sourceParent ) const;

private:

        QString m_subscriptionLabel;
};

#endif // KRSSREADER_FEEDLISTFILTERPROXYMODEL_H
