/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "mainwindow.h"

#include <krss/resourcemanager.h>

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KLocale>

int main( int argc, char **argv )
{
    KAboutData about( "krssreader", 0, ki18n( "KRssReader" ), "0.0",
                      ki18n( "KRssReader - demo feed reader for Akonadi" ),
                      KAboutData::License_GPL, ki18n("(C) 2008 Dmitry Ivanov"),
                      KLocalizedString(), 0, "vonami@gmail.com" );
    KCmdLineArgs::init( argc, argv, &about );

    KApplication app;
    MainWindow *mainWindow = new MainWindow();

    if ( app.isSessionRestored() ) {
        RESTORE( MainWindow );
    }
    else {
        mainWindow->show();
    }

    KRss::ResourceManager::registerAttributes();

    return app.exec();
}
