/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "mainwindow.h"
#include "mainwidget.h"

#include <KStatusBar>
#include <KApplication>
#include <KActionCollection>
#include <KStandardAction>

MainWindow::MainWindow( QWidget *parent )
        : KXmlGuiWindow( parent ), m_mainWidget( new MainWidget( this ) )
{
    statusBar()->show();

    setCentralWidget( m_mainWidget );
    setupActions();

    setupGUI();
}

MainWindow::~MainWindow()
{
}

void MainWindow::setupActions()
{
    KStandardAction::quit( kapp, SLOT( quit() ), actionCollection() );
}

#include "mainwindow.moc"
