

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include "collectionmodel.h"
#include <akonadi/control.h>

#include "modeltest.h"

#include <QTreeView>
#include <QSortFilterProxyModel>

#include "kdebug.h"

int main ( int argc, char **argv )
{

    const QByteArray& ba = QByteArray ( "contentstrategies" );
    const KLocalizedString name = ki18n ( "Content strategies demo" );
    KAboutData aboutData ( ba, ba, name, ba, name );
    KCmdLineArgs::init ( argc, argv, &aboutData );
    KApplication app;

    QWidget *w = new QWidget();
    QTreeView *t = new QTreeView(w);

    if ( !Akonadi::Control::start() ) {
        kFatal() << "Unable to start Akonadi server, exit application";
        return -1;
    }

    Akonadi::CollectionModel *m = new Akonadi::CollectionModel(w);
    QSortFilterProxyModel *proxy = new QSortFilterProxyModel(w);
    proxy->setSourceModel(m);


    new ModelTest(proxy, w);
//     new ModelTest(m, w);



    t->setModel(m);

    w->show();

    app.exec();

}
