#include <iostream>

#include <QHBoxLayout>

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

#include "kcategorycombobox.h"

#include "main.h"

using namespace std;

MyDialog::MyDialog( QDialog *parent) : QDialog(parent) 
{
  KCategoryComboBox *pCategoryComboBox = new KCategoryComboBox( this );
  pCategoryComboBox->addCategoryItem( "Cars" );
  pCategoryComboBox->addItem( "BMW" );
  pCategoryComboBox->addItem( "Mercedes" );
  pCategoryComboBox->addItem( "Ford" );
  pCategoryComboBox->addCategoryItem( "Animals" );
  pCategoryComboBox->addItem( "Dog" );
  pCategoryComboBox->addItem( "Cat" );
  pCategoryComboBox->addItem( "Bird" );
  
  QLayout *topLayout = new QHBoxLayout;
  topLayout->addWidget( pCategoryComboBox );
  setLayout( topLayout );
}

#include "main.cpp.moc"

int main(int argc, char **argv)
{
    KAboutData aboutData( "categorycombobox", 0, 
      ki18n("Category Combo Box Demo"), "1.0", ki18n("Category Combo Box Demo"),
      KAboutData::License_GPL, ki18n("(c) 2007") );
    KCmdLineArgs::init( argc, argv, &aboutData );

    KApplication app;

    MyDialog w;
    w.show();

    return app.exec();
}
