/*
    This file is part of KDE playground.
    Copyright (c) 2007 Mathias Soeken <msoeken@tzi.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KDialog>

class QAction;
class QBoxLayout;
class QCheckBox;
class QComboBox;
class QLabel;
class QRadioButton;
class QToolBar;

class KLineEdit;

class PersonTreeView;
 
class MainWindow : public KDialog
{
  Q_OBJECT

public:
  MainWindow( QWidget *parent=0 );
          
private:
  QBoxLayout *mMainLayout;
  PersonTreeView *mTreeWidget;
  QToolBar *mToolBar;
  QPushButton *mBtnNone, *mBtnTo, *mBtnCC, *mBtnBCC;
  KLineEdit *mSearchLine;
  QLabel *mAddressBooksLabel;
  QComboBox *mAddressBooksComboBox;
  QAction *mAddressBooksComboBoxAction;
  QCheckBox *mSelectMarked;
  QWidget *mBottomPanel;
  QBoxLayout *mBottomPanelLayout;
  QRadioButton *mRadBCCMail;
  QRadioButton *mRadCCMail;
  bool mBasicInterface;

private slots:
  void treeWidgetSelectionChanged();
  void editLineTextChanged( const QString& text );
  void selectMarkedStateChanged( int state );
  void toggleSettings();
  void slotModelReset();
  void addressBooksComboBoxCurrentIndexChanged( int index );
  
  void actionNone();
  void actionTo();
  void actionCC();
  void actionBCC();
  
protected:
  void keyPressEvent( QKeyEvent* e );    
};
 
#endif
