/*
    This file is part of KDE playground.
    Copyright (c) 2007 Mathias Soeken <msoeken@tzi.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef PERSONFILTERPROXYMODEL_H
#define PERSONFILTERPROXYMODEL_H

#include <QSortFilterProxyModel>

class PersonFilterProxyModel : public QSortFilterProxyModel
{
public:
  PersonFilterProxyModel( QObject *parent = 0 );
  
public:
  void setMarkedItemsOnly( bool markedItemsOnly );
  bool isMarkedItemsOnly() const;
  
  void setCategoryFilter( QString categoryFilter );
  QString categoryFilter() const;
  
protected:
  bool filterAcceptsRow( int sourceRow, const QModelIndex& sourceParent ) const;      
  
private:
  bool mMarkedItemsOnly;
  QString mCategoryFilter;
};

#endif
