/*
    Copyright (c) 2009 Sascha Peilicke <sasch.pe@gmx.de>

    This application is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This application is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this application; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#ifndef CLIENTAGENT_H
#define CLIENTAGENT_H

#include <Akonadi/AgentBase>

#ifdef Q_OS_WIN32
#   include <funambol/win32/base/winadapter.h>
#elif defined Q_OS_UNIX
#   include <funambol/posix/base/posixadapter.h>
#endif
#include <funambol/common/client/SyncClient.h>

class SyncManagerConfig;
class TimeTrackingObserver;

/**
 * @author Sascha Peilicke <sasch.pe@gmx.de>
 */
class ClientAgent : public Akonadi::AgentBase
                  , private SyncClient
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.kde.Akonadi.SyncML.Client")

public:
    ClientAgent(const QString &id);
    virtual ~ClientAgent();

public Q_SLOTS:
    virtual void configure(WId windowId);
    bool sync();
    QString lastResults();

private:
    void init();

    SyncManagerConfig *m_managerConfig;
    TimeTrackingObserver *m_observer;
};

#endif
