/*
    Copyright (c) 2009 Sascha Peilicke <sasch.pe@gmx.de>

    This application is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This application is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this application; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#ifndef AKONADISYNCSOURCE_H
#define AKONADISYNCSOURCE_H

#include "settings.h"

#include <Akonadi/Collection>
#include <Akonadi/Item>

#include <syncevo/declarations.h>
#include <syncevo/TrackingSyncSource.h>

/**
 * Abstract base class for all sync sources.
 */
class AkonadiSyncSource : public SyncEvo::TrackingSyncSource
{
public:
    virtual ~AkonadiSyncSource();

protected:
    explicit AkonadiSyncSource(const SyncEvo::SyncSourceParams &params);

    /* Implementation of SyncSource interface */
    /*virtual void open();
    virtual void close();
    virtual Databases getDatabases();*/
    virtual const char *getMimeType() const;
    virtual const char *getMimeVersion() const;

    /* Implementation of TrackingSyncSource interface */
    /*virtual void listAllItems(RevisionMap_t &revisions);
    virtual InsertItemResult insertItem(const string &luid, const std::string &item, bool raw);
    void readItem(const std::string &luid, std::string &item, bool raw);
    virtual void removeItem(const string &uid);*/

    Akonadi::Entity::Id m_collectionId;

private:
    /* Prevent copying */
    AkonadiSyncSource(const AkonadiSyncSource &other);
    const AkonadiSyncSource &operator=(const AkonadiSyncSource &other);
};

#endif
