# - Find syncevolution
# Find the SyncEvolution PIM synchronisation library.
#
#  SYNCEVOLUTION_FOUND           True if syncevolution got found
#  SYNCEVOLUTION_INCLUDE_DIRS    Location of syncevolution headers 
#  SYNCEVOLUTION_LIBRARIES       List of libraries to use syncevolution

# Look for the header file.
FIND_PATH(SYNCEVOLUTION_COMMON_INCLUDE_DIR NAMES SyncML.h PATH_SUFFIXES syncevo)
FIND_PATH(SYNCEVOLUTION_DBUS_INCLUDE_DIR NAMES syncevo-dbus.h PATH_SUFFIXES syncevo-dbus)
MARK_AS_ADVANCED(SYNCEVOLUTION_COMMON_INCLUDE_DIR SYNCEVOLUTION_DBUS_INCLUDE_DIR)

# Look for the library.
FIND_LIBRARY(SYNCEVOLUTION_COMMON_LIBRARY NAMES syncevolution)
FIND_LIBRARY(SYNCEVOLUTION_DBUS_LIBRARY NAMES syncevo-dbus)
MARK_AS_ADVANCED(SYNCEVOLUTION_COMMON_INCLUDE_DIR SYNCEVOLUTION_DBUS_LIBRARY)

# handle the QUIETLY and REQUIRED arguments and set SYNCEVOLUTION_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SYNCEVOLUTION DEFAULT_MSG SYNCEVOLUTION_COMMON_LIBRARY SYNCEVOLUTION_DBUS_LIBRARY SYNCEVOLUTION_COMMON_INCLUDE_DIR SYNCEVOLUTION_DBUS_INCLUDE_DIR)

IF(SYNCEVOLUTION_FOUND)
    SET(SYNCEVOLUTION_LIBRARIES ${SYNCEVOLUTION_COMMON_LIBRARY} ${SYNCEVOLUTION_DBUS_LIBRARY})
    SET(SYNCEVOLUTION_INCLUDE_DIRS ${SYNCEVOLUTION_COMMON_INCLUDE_DIR} ${SYNCEVOLUTION_DBUS_INCLUDE_DIR})
ELSE(SYNCEVOLUTION_FOUND)
    SET(SYNCEVOLUTION_LIBRARIES)
    SET(SYNCEVOLUTION_INCLUDE_DIRS)
ENDIF(SYNCEVOLUTION_FOUND)
