# - Find synthesis
# Find the Synthesis SyncML synchronisation engine library
#
#  SYNTHESIS_FOUND           True if synthesis got found
#  SYNTHESIS_INCLUDE_DIRS    Location of synthesis headers 
#  SYNTHESIS_LIBRARIES       List of libraries to use synthesis

# Look for the header file.
FIND_PATH(SYNTHESIS_COMMON_INCLUDE_DIR NAMES sync_include.h PATH_SUFFIXES synthesis)
MARK_AS_ADVANCED(SYNTHESIS_COMMON_INCLUDE_DIR)

# Look for the library.
FIND_LIBRARY(SYNTHESIS_LIBRARY NAMES synthesis)
MARK_AS_ADVANCED(SYNTHESIS_LIBRARY)

# handle the QUIETLY and REQUIRED arguments and set SYNTHESIS_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SYNTHESIS DEFAULT_MSG SYNTHESIS_LIBRARY SYNTHESIS_COMMON_INCLUDE_DIR)

IF(SYNTHESIS_FOUND)
    SET(SYNTHESIS_LIBRARIES ${SYNTHESIS_LIBRARY})
    SET(SYNTHESIS_INCLUDE_DIRS ${SYNTHESIS_COMMON_INCLUDE_DIR})
ELSE(SYNTHESIS_FOUND)
    SET(SYNTHESIS_LIBRARIES)
    SET(SYNTHESIS_INCLUDE_DIRS)
ENDIF(SYNTHESIS_FOUND)
