/*
    Copyright (c) 2009 Sascha Peilicke <sasch.pe@gmx.de>

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#ifndef KCMSYNCMLCLIENT_H
#define KCMSYNCMLCLIENT_H

#include "ui_kcmsyncmlclient.h"

#include <KCModule>

class KCMSyncMLClient : public KCModule
{
    Q_OBJECT

public:
    explicit KCMSyncMLClient(QWidget *parent, const QVariantList &args);
    virtual ~KCMSyncMLClient();

    void load();
    void save();
    void defaults();

private slots:
    void on_addProfileButton_clicked();
    void on_renameProfileButton_clicked();
    void on_removeProfileButton_clicked();
    void itemChanged(QListWidgetItem *);
    void itemDoubleClicked(QListWidgetItem *);
    void currentItemChanged(QListWidgetItem *, QListWidgetItem *);
    void on_getNewProfilesButton_clicked();
    void on_configureAgentButton_clicked();
    void on_syncButton_clicked();

private:
    void populateProfileTypeComboBox();

    Ui::KCMSyncMLClient m_ui;
    QString m_lastTextBeforeEdit;
};

#endif
