/*
    Copyright (c) 2009 Sascha Peilicke <sasch.pe@gmx.de>

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#ifndef KCMSYNCMLSERVER_H
#define KCMSYNCMLSERVER_H

#include "ui_kcmsyncmlserver.h"

#include <KCModule>

class KConfigDialogManager;

class KCMSyncMLServer : public KCModule
{
    Q_OBJECT

public:
    explicit KCMSyncMLServer(QWidget *parent, const QVariantList &args);
    virtual ~KCMSyncMLServer();

    void load();
    void save();
    void defaults();

private slots:
    void remoteSettingsChanged(const QString identifier);
    void on_httpConfigButton_clicked();
    void on_obexConfigButton_clicked();

private:
    Ui::KCMSyncMLServer m_ui;
    KConfigDialogManager *m_manager;
};

#endif
